<div class="listar">

<h1>Listagem de Usuários</h1>


<!-- <p>
  <mat-form-field appearance="fill">
    <mat-label>Pesquisar por nome</mat-label>
    <input matInput #searchNome ng-model="search" placeholder="Digite o nome">
    <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
    <mat-hint>Digite o nome a pesquisar</mat-hint>
  </mat-form-field>
  <button mat-raised-button color="primary" ng-click="buscaPorNome(search)">Pesquisar</button>
</p> -->


<mat-table [dataSource]="dataSource" class="mat-elevation-z8">
  <!-- ID Column -->
  <ng-container matColumnDef="id">
    <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.idUsuario}} </mat-cell>
  </ng-container>

  <!-- Nome Column -->
  <ng-container matColumnDef="nome">
    <mat-header-cell *matHeaderCellDef> Nome </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.nome}} </mat-cell>
  </ng-container>

  <!-- CPF Column -->
  <ng-container matColumnDef="cpf">
    <mat-header-cell *matHeaderCellDef> CPF </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.cpf}} </mat-cell>
  </ng-container>

  <!-- Email Column -->
  <ng-container matColumnDef="email">
    <mat-header-cell *matHeaderCellDef> Email </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.email}} </mat-cell>
  </ng-container>

  <!-- Whatsapp Column -->
  <ng-container matColumnDef="whatsapp">
    <mat-header-cell *matHeaderCellDef> Whatsapp </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.whatsapp}} </mat-cell>
  </ng-container>

  <!-- Admin Column -->
  <ng-container matColumnDef="admin">
    <mat-header-cell *matHeaderCellDef> Admin </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.admin}} </mat-cell>
  </ng-container>

  <!-- Professor Column -->
  <ng-container matColumnDef="professor">
    <mat-header-cell *matHeaderCellDef> Professor </mat-header-cell>
    <mat-cell *matCellDef="let usuario"> {{usuario.professor}} </mat-cell>
  </ng-container>

  <!-- Editar Column -->
  <ng-container matColumnDef="editar">
    <mat-header-cell *matHeaderCellDef> Editar </mat-header-cell>
    <mat-cell *matCellDef="let usuario"><a class="editIcon" [routerLink]="['/view/usuario-cadastro/' + usuario.idUsuario]"><mat-icon aria-hidden="false" aria-label="Editar">create</mat-icon></a></mat-cell>
  </ng-container>

  <!-- Deletar Column -->
  <ng-container matColumnDef="excluir">
    <mat-header-cell *matHeaderCellDef> Excluir </mat-header-cell>
    <mat-cell *matCellDef="let usuario"><a class="deleteIcon" [routerLink]="['/view/usuario-deletar/' + usuario.idUsuario]"><mat-icon aria-hidden="false" aria-label="Excluir">delete_forever</mat-icon>
    </a>  </mat-cell>
  </ng-container>

  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>

<button mat-raised-button  (click)="voltar()" color="prymary">
  Voltar
</button>

</div>
